Mageia 2022-0487: python-ujson security update | LinuxSecurity.com
MGASA-2022-0487 - Updated python-ujson packages fix security vulnerability

Publication date: 30 Dec 2022
URL: https://advisories.mageia.org/MGASA-2022-0487.html
Type: security
Affected Mageia releases: 8

Fixes len integer overflow issue. (RHBZ#2149975)
Ultrajson doesn't build on webassembly (e.g. pyodide) because the version
of double-conversion used is too old. This updates it to a newer version
which supports webassembly.

References:
- https://bugs.mageia.org/show_bug.cgi?id=31332
- https://lists.fedoraproject.org/archives/list/[email protected]/thread/MJ66UZLJXIEOD5Q74IZKQQRWAPPFG6T7/
- https://github.com/ultrajson/ultrajson/pull/570

SRPMS:
- 8/core/python-ujson-5.6.0-1.mga8

Mageia 2022-0487: python-ujson security update

Fixes len integer overflow issue

Summary

References

- https://bugs.mageia.org/show_bug.cgi?id=31332

- https://lists.fedoraproject.org/archives/list/[email protected]/thread/MJ66UZLJXIEOD5Q74IZKQQRWAPPFG6T7/

- https://github.com/ultrajson/ultrajson/pull/570

Resolution

MGASA-2022-0487 - Updated python-ujson packages fix security vulnerability

SRPMS

- 8/core/python-ujson-5.6.0-1.mga8

Severity
Publication date: 30 Dec 2022
URL: https://advisories.mageia.org/MGASA-2022-0487.html
Type: security

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.